//build：20240311
//Font object (To support Chinese characters, a Chinese-compatible font TTF file is required)
import utils from "./uiUtils.js"
let font = {}
/**
 * Build fonts
 * @param {string} ttf Full path to the font TTF file
 * @param {number} size Font size
 * @param {number} style For font styles, refer to utils.FONT_STYLE
 * @returns 
 */
font.build = function (ttf, size, style) {
    let comp = {}
    comp.obj = utils.GG.NativeFont.lvFontInit(ttf, size, style)
    return comp;
}

export default font;